%define with_gcj_support 0

Name:          tanukiwrapper
Version:       3.5.30
Release:       %mkrel 2
Summary:       Java Service Wrapper
Group:         Development/Java
License:       BSD, GPLv2
Url:           http://wrapper.tanukisoftware.com/
Source0:       http://download.sourceforge.net/wrapper/wrapper_%{version}_src.tar.gz
Source1:       tanukiwrapper-template.pom
Patch0:        tanukiwrapper-3.5.30-build.patch
Patch1:        tanukiwrapper-3.5.30-Makefiles.patch
Patch2:        tanukiwrapper-arm.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: cunit-devel
BuildRequires: glibc-devel
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: javapackages-tools


%description
The Java Service Wrapper is an application which has
evolved out of a desire to solve a number of problems
common to many Java applications:
- Run as a Windows Service or Unix Daemon
- Application Reliability
- Standard, Out of the Box Scripting
- On Demand Restarts
- Flexible Configuration
- Ease Application installations
- Logging

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
Tanuki Java Service Wrapper.

This package contains javadoc for %{name}.

%package       manual
Summary:       Documents for %{name}
Group:         Documentation

%description   manual
Tanuki Java Service Wrapper.

This package contains documents for %{name}.

%prep
%setup -q -n wrapper_%{version}_src

%autopatch -p1

find . -name "*.jar" -exec %__rm -f {} \;

%{__perl} -p -i -e 's/\r//' doc/AUTHORS
%{__perl} -p -i -e 's|-O3|%optflags|' src/c/Makefile*
%{__perl} -p -e \
 's|=\.\./lib/wrapper\.jar$|=%{_javadir}/%{name}.jar| ;
  s|=\.\./lib$|=%{_libdir}|' \
 src/conf/wrapper.conf.in > wrapper.conf.sample
%{__perl} -p -e \
 's|"\./wrapper"|"%{_sbindir}/%{name}"| ;
  s|"\.\./conf/wrapper\.conf"|"/path/to/wrapper.conf"|' \
 src/bin/sh.script.in > script.sh.sample

%build

export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath junit xerces-j2 xml-commons-apis ant)
%ifarch x86_64 ia64 ppc64 ppc64le sparc64 s390x aarch64
bits=64
%else
bits=32
%endif
%ant \
  -Dbuild.sysclasspath=first \
  -Djdk.api=%{_javadocdir}/java \
  -Dbits=$bits \
  main jdoc

%install

# jar
mkdir -p %{buildroot}%{_javadir}
install -pm 644 lib/wrapper.jar %{buildroot}%{_javadir}/%{name}.jar

# maven-metadata and maven-poms
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|<version>@VERSION@|<version>%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# jni
mkdir -p %{buildroot}%{_libdir}
install -pm 755 lib/libwrapper.so %{buildroot}%{_libdir}

# commands
mkdir -p %{buildroot}%{_sbindir}
install -pm 755 bin/wrapper %{buildroot}%{_sbindir}/%{name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a jdoc/* %{buildroot}%{_javadocdir}/%{name}

%if %{with_gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%if %{with_gcj_support}
%post
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{with_gcj_support}
%postun
if [ -x %{_bindir}/rebuild-gcj-db ] ; then
 %{_bindir}/rebuild-gcj-db
fi
%endif

%files -f .mfiles
%doc doc/wrapper-community-license-1.?.txt *.sample
%{_sbindir}/%{name}
%{_libdir}/libwrapper.so

%if %{with_gcj_support}
%{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc doc/*


%changelog
* Mon Oct 03 2016 pterjan <pterjan> 3.5.30-2.mga6
+ Revision: 1058248
- Make the build on arm more likely to succeed

* Mon Oct 03 2016 daviddavid <daviddavid> 3.5.30-1.mga6
+ Revision: 1058234
- new version: 3.5.30

* Tue Feb 09 2016 umeabot <umeabot> 3.2.3-7.mga6
+ Revision: 951565
- Mageia 6 Mass Rebuild

* Sat Jan 03 2015 daviddavid <daviddavid> 3.2.3-6.mga5
+ Revision: 808333
- use .mfiles generated during build
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 3.2.3-5.mga5
+ Revision: 748789
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.3-4.mga5
+ Revision: 689690
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 519528
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.2.3-2.mga3
+ Revision: 384037
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 gil <gil> 3.2.3-1.mga2
+ Revision: 217637
- fix groups
- remove BR ant-nodeps
- build fix
- adapt to current guideline
- add m2 pom

* Sun Jun 26 2011 gil <gil> 3.2.3-0.mga2
+ Revision: 113906
- imported package tanukiwrapper


* Sun Jun 26 2011 gil <gil> 3.2.3-0.%%mkrel
- initial rpm